#ifndef MODULE_H
#define MODULE_H

#include <string>
#include <nlohmann/json.hpp>
#include <regex>

class Module {
    std::string path;
    std::string name;
    std::string goods_name_regex;
    std::string goods_price_regex;
    std::string goods_quantity_regex;
public:
    Module(std::string);
    Module();

    std::smatch parse_name(std::string);
    std::smatch parse_price(std::string);
    std::smatch parse_quantity(std::string);

    std::string get_name();
};

#endif // MODULE_H
