#include "mainwindow.h"
#include "./ui_mainwindow.h"
#include "goods/goods.h"
#include "check/check.h"

#include <iostream>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
    this->setupStoresList();
}

MainWindow::~MainWindow() { delete ui; }

void MainWindow::setupStoresList() {
    // Make file format that is a regeeex which parse check, load these files
    // here
    parser = *(new Parser());
    for (auto module : parser.search_modules()) {
        std::cout << module << std::endl;
    }
}

void MainWindow::on_checkType_currentIndexChanged(int index) {
    switch (index) {
    case 0:
        ui->checkInfo->setVisible(true);
        break;
    case 1:
        ui->checkInfo->setVisible(false);
        break;
    }
}

void MainWindow::on_parseButton_clicked() {
    std::cout << ui->checkContent->toPlainText().toStdString() << std::endl;
}
